
export type TAgent = {
  "agentId": string,
  "isDefault": boolean,
  "isEnt": boolean,
  "isNewEnt": boolean,
  "name": string
}
export type TComponentItem = {
  "data"?: any,
  "enabled"?: boolean,
  "type"?: string
}
export type TAgentDetail = {
  address?: string,
  agentId?: string,
  avatarUrl?: string,
  components?: TComponentItem[],
  email?: string,
  enabledChatBg?: boolean,
  enabledPersonalKb?: boolean,
  entId?: string,
  entName?: string,
  greeting?: string,
  isDefault?: boolean,
  isEnt?: boolean,
  isNewEnt?: boolean,
  isSystemVoice?: boolean,
  mobile?: string,
  name?: string,
  personality?: string,
  position?: string,
  qrCodeUrl?: string,
  questionGuides?: string[],
  voiceId?: string
}

export type TAgentContactCard = {
  address?: string,
  email?: string,
  entName?: string,
  mobile?: string,
  name?: string,
  position?: string,
  qrCodeUrl?: string
}

export type TEditAgentCharacter = {
  enabledPersonalKb: boolean,
  greeting: string,
  personality: string,
  questionGuides: string[],
  voiceId: string
}